Question

3
Replies
105
Views
JOHNPW_GCS Member since 2009 20 posts
PEGA
Posted: 3 years ago
Last activity: 3 years 11 months ago
Closed
Solved

32Bit Linux Postgres9.3 - will this work as backend for PRPC721 ?

I'm looking at installing PRPC against a Postgres 9.3 DB on Linux; part of the requirement for doing this needs you to install 'pljava'.

In order to do this - you  have to copy the following .so file to the Postgres 'lib' directory:

115143_Pega721\ResourceKit\PLJava\9.3\Linux\pljava.so

This is a 64bit library:

$ file pljava.so
pljava.so: ELF 64-bit LSB  shared object, x86-64, version 1 (SYSV), dynamically linked, BuildID[sha1]=f347ff880720b36dd4c28177a913d44f290320bb, not stripped
 

And when I try and run the 'install.sql'  I get this error:

ERROR:  could not load library "/usr/lib/postgresql/9.3/lib/pljava.so": /usr/lib/postgresql/9.3/lib/pljava.so: wrong ELF class: ELFCLASS64

Is there a 32bit version of the 'pljava.so' file available - or do I just have to find a 64 Bit Linux to run this ?

Thanks,

John

 

 

 

 

 

System Administration Low-Code App Development Installation and Deployment Data Integration
Moderation Team has archived post
Share this page LinkedIn